vich_uploader:
    db_driver: orm
    metadata:
        type: attribute #A ajouter
    #metadata:
    #    type: attribute 
    mappings:
        person_images:
          uri_prefix:         '%app.path.person_images%'
          upload_destination: '%kernel.project_dir%/public%app.path.person_images%'
          namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

        concert_images:
          uri_prefix:         '%app.path.concert_images%'
          upload_destination: '%kernel.project_dir%/public%app.path.concert_images%'
          namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
    
        event_images:
            uri_prefix:  '%app.path.event_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.event_images%'
            namer: Vich\UploaderBundle\Naming\UniqidNamer   
        
        hangar_images:
            uri_prefix:  '%app.path.hangar_images%'
            upload_destination: '%kernel.project_dir%/public%app.path.hangar_images%'
            namer: Vich\UploaderBundle\Naming\UniqidNamer  

        vehicule_image:
            uri_prefix:  '%app.path.vehicule%'
            upload_destination: '%kernel.project_dir%/public/%app.path.vehicule%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
        type_image:
            uri_prefix: '%app.path.type%'
            upload_destination: '%kernel.project_dir%/public/%app.path.type%'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true 
    #mappings:    
    #    producto_image:
    #      uri_prefix: /images/products
    #      upload_destination: '%kernel.project_dir%/public/images/products'
    #      namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
